Skip to main content
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

workspaceId
string<uuid>
required

The workspace id.

Query Parameters

page
integer
default:1

The page to return in a paginated query.

Required range: x >= 1
perPage
integer
default:25

Maximum number of items to return per page.

Required range: 1 <= x <= 100
frameworkId
string<uuid>

Only include items belonging to this framework.

projectId
string<uuid>

Only include items that apply to this project.

enabledFrameworkOnly
boolean
default:false

Only include items belonging to at least one enabled framework.

includeUnframed
boolean
default:true

Whether to include rules that are not part of any framework.

searchQuery
string

Filter by a free-text search over names and descriptions.

ruleId
string<uuid>

Only include results of this rule.

Response

Status OK.

items
object[]
required